- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DInput (Deprecated)
- QKeyboardDevice
- Qt 6.8.2 Reference Documentation

# QKeyboardDevice Class

class Qt3DInput::QKeyboardDevice

QKeyboardDevice is in charge of dispatching keyboard events to attached QQKeyboardHandler objects. More...

Header: | `#include <QKeyboardDevice>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3dinput)` `target_link_libraries(mytarget PRIVATE Qt6::3dinput)`
qmake: | `QT += 3dinput`
In QML: | KeyboardDevice
Inherits: | Qt3DInput::QAbstractPhysicalDevice
Status: | Deprecated

- List of all members, including inherited members

## Properties

- activeInput : Qt3DInput::QKeyboardHandler* const

## Public Functions

| QKeyboardDevice(Qt3DCore::QNode *parent = nullptr)
Qt3DInput::QKeyboardHandler * | activeInput() const

## Reimplemented Public Functions

virtual int | axisCount() const override
virtual int | axisIdentifier(const QString &name) const override
virtual QStringList | axisNames() const override
virtual int | buttonCount() const override
virtual int | buttonIdentifier(const QString &name) const override
virtual QStringList | buttonNames() const override

## Signals

void | activeInputChanged(Qt3DInput::QKeyboardHandler *activeInput)

## Detailed Description

## Property Documentation

### `[read-only]` activeInput : Qt3DInput::QKeyboardHandler* const

Holds the active QKeyboardHandler of the device.

Access functions:

Qt3DInput::QKeyboardHandler * | activeInput() const

Notifier signal:

void | activeInputChanged(Qt3DInput::QKeyboardHandler *activeInput)

## Member Function Documentation

### `[explicit]` QKeyboardDevice::QKeyboardDevice(Qt3DCore::QNode *parent = nullptr)

Constructs a new QKeyboardDevice instance with parent.

### `[override virtual]` int QKeyboardDevice::axisCount() const

Reimplements: QAbstractPhysicalDevice::axisCount() const.

Returns the axis count.

Note: Currently always returns zero.

### `[override virtual]` int QKeyboardDevice::axisIdentifier(const QString &name) const

Reimplements: QAbstractPhysicalDevice::axisIdentifier(const QString &name) const.

Returns the axisIdentifier matching the name.

### `[override virtual]` QStringList QKeyboardDevice::axisNames() const

Reimplements: QAbstractPhysicalDevice::axisNames() const.

Returns the axis names.

Note: Currently always returns empty QStringList.

### `[override virtual]` int QKeyboardDevice::buttonCount() const

Reimplements: QAbstractPhysicalDevice::buttonCount() const.

Returns the button count.

### `[override virtual]` int QKeyboardDevice::buttonIdentifier(const QString &name) const

Reimplements: QAbstractPhysicalDevice::buttonIdentifier(const QString &name) const.

Returns the buttonIdentifier matching the name.

### `[override virtual]` QStringList QKeyboardDevice::buttonNames() const

Reimplements: QAbstractPhysicalDevice::buttonNames() const.

Returns the button names.